#################################
###########  NOTA R  ############
#################################
rm(list=ls())
cat("\014")

#### EXERCCIO 104.2 ####
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
table(cervejas)
(bar <- barplot(sort(table(cervejas), decreasing=T)))
(dot <- dotchart(sort(table(cervejas), decreasing=T))) 
dot# <-- este grfico tem a melhor razo dado/tinta


#### EXERCCIO 104.3 ####
caixeta <- read.csv("caixeta.csv", as.is=T)
caixeta
caixeta$dap <- caixeta$cap/pi
dap.h <- hist(caixeta$dap)
table(caixeta$local)
chauas.h <- hist(caixeta$h[caixeta$local=="chauas"], xlim=c(0,200))
jureia.h <- hist(caixeta$h[caixeta$local=="jureia"], xlim=c(0,200))
retiro.h <- hist(caixeta$h[caixeta$local=="retiro"], xlim=c(0,200))
#h diferenas. O local Chauas possui maiores valores de altura, Retiro possui, na mdia, as menores rvores e Jureia possui, aparentemente a distribuio com a aprncia mais Gaussiana


#### EXERCCIO 104.4 ####
e.grandis <- read.csv("egrandis.csv", sep=";", dec=".")
dapXreg.bp <- boxplot(e.grandis$dap ~ e.grandis$regiao)
dapXrot.bp <- boxplot(e.grandis$dap ~ e.grandis$rotacao)
qqnorm(e.grandis$ht)
qqline(e.grandis$ht)


#### EXERCCIO 104.5 ####
caixeta <- read.csv("caixeta.csv", as.is=T)
caixeta$local <- as.factor(caixeta$local) 
caixeta$arvore <- as.factor(caixeta$arvore)
caixeta$fuste <- as.factor(caixeta$fuste)
caixeta$dap <- caixeta$cap/pi
caix.tab <- caixeta[caixeta$especie=="Tabebuia cassinoides",]
caix.tab.dh <- aggregate(caix.tab[,c(5,8)], by = list(as.factor(caix.tab$arvore),caix.tab$h,as.factor(caix.tab$local)), sum)
colnames(caix.tab.dh) <- c("arvore","h","local","cap","dap")
#p.chauas <- plot(h[local == "chauas"] ~ dap[local == "chauas"], data = caix.tab.dh)
#p.jureia <- plot(h[local == "jureia"] ~ dap[local == "jureia"], data = caix.tab.dh)
#p.retiro <- plot(h[local == "retiro"] ~ dap[local == "retiro"], data = caix.tab.dh)
p <- coplot(h ~ dap|local, data = caix.tab.dh, panel = panel.smooth)
# no consegui realizar com a funo plot(), apenas com a funo coplot()
require(lattice)
(pl <- xyplot(h ~ dap|local, data = caix.tab.dh))
