#################################
###########  NOTA R  ############
#################################
rm(list=ls()) 
cat("\014")


#### EXERCCIO 107.2 ####
library(MASS)
data(Animals)
anim.m2 <- lm(log(brain)~log(body),data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))
anim.m0 <- lm(log(brain)~1, data=Animals, 
              subset=!(log(Animals$body)>8&log(Animals$brain)<6))
summary(anim.m0)
anova(anim.m0,anim.m2)
anova(anim.m2)
#1. O primeiro comando de ANOVA compara os dois modelos
#   O segundo comando de ANOVA acaba realizando um comparao da relao de uma varivel
#     com uma preditora versus a situao de no ter nenhuma relao.
#   O resultado  igual pois essas anlises se utilizam apenas de uma varivel resposta
#     e preditora. Caso houvessem fatores aleatrios, provavelmente as ANOVAS teriam diferenas

summary(anim.m0)
mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))
#2. Como o modelo nulo considera apenas a varivel resposta. O summary mostra como est
#     varivel se comporta independente de qualquer outra preditora. Deste modo, no
#     prprio summary aparecer os parmetros (como mdia e sd) dessa varivel.
