#################################
###########  NOTA R  ############
#################################
rm(list=ls()) 
cat("\014")

#### EXERCCIO 108.1 ####
eutad <- read.csv("palmadulto.txt", sep="\t")
dist <- matrix(NA, ncol=102, nrow=102)  #criando um matriz 102x102 com tudo NA
for(i in 1:101)
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2    
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  } #pitgoras bsico para achar a distncia e criar uma matriz das distncias de um ponto ao outro
  
}
dist
(nn<-apply(dist, 1, min, na.rm=TRUE))#escolhendo a menor distncia para cada linha/palmito
(mnn<-mean(nn))
simulsize <- 1000
resultado <- rep(NA, length=simulsize)
resultado[1] <- mnn
for(k in 2:1000)
    {
    xsim <- sample(round(runif(nrow(eutad),0,320),1))
    ysim <- sample(round(runif(nrow(eutad),0,320),1))
    simdist <- matrix(NA, ncol=102, nrow=102)
    for(l in 1:101)
    {
      for(m in (l+1):102)
      {
        simdifx2=(xsim[l]-xsim[m])^2
        simdify2=(ysim[l]-ysim[m])^2    
        simdist[l,m]<-sqrt(simdifx2 + simdify2)
        simdist[m,l]<-sqrt(simdifx2 + simdify2)
      } 
    sim.nn <- apply(simdist, 1, min, na.rm=TRUE)
    sim.mnn <- mean(sim.nn)
    resultado[k] <- sim.mnn
    }
    }
hist(resultado, las = 1)
abline(v = mnn, col="red" )
p <- length(resultado[which(resultado <= mnn)])/length(resultado)
p

#### EXERCCIO 108.2 ####
animais <- read.csv("animais.txt", sep = ";", dec = ",")
animais <- subset(animais, animais$brain != "")
inc <- sum((log(animais$body)-mean(log(animais$body)))*(log(animais$brain)-mean(log(animais$brain)))) / 
       sum((log(animais$body)-mean(log(animais$body)))^2)
lm(log(brain)~log(body),data = animais) #conferindo se a rolou a conta
simulsize <- 1000
result <- rep(NA, length=simulsize)
result[1] <- inc
for(i in 2:simulsize)
    {
    sim_brain <- sample(animais$brain)
    result[i] <- sum((log(animais$body)-mean(log(animais$body)))*(log(sim_brain)-mean(log(sim_brain)))) / 
                 sum((log(animais$body)-mean(log(animais$body)))^2)
    }
hist(result, las = 1)
abline(v = inc, col="red" )
p <- length(result[which(result >= inc)])/length(result)
p
