#####################
##Exerccios Aula 8##
#####29/05/2019######
####Anne Landine#####


#Exerccios 8. Reamostragem e Simulao


#Exerccio 1.
#Os palmitos esto distribudos aleatoriamente na floresta? Durante a aula terica mostramos como podemos usar uma distribuio terica para gerar dados que simulem o cenrio previsto por nossa hiptese nula. No caso da posio dos palmitos adultos em uma parcela de 10,24 ha de floresta (320320 m), nossa hiptese nula  que eles se distribuem aleatoriamente no espao. Iniciamos a construo do cdigo para testar essa hiptese, o exerccio  terminar de testar a hiptese. Abaixo reproduzimos o cdigo apresentado em aula para que possa continuar a partir dele.

eutad <- read.table("palmadulto.txt", header = T, sep = "\t", as.is = T)

dist <- matrix(NA, ncol=102, nrow=102)

  for(i in 1:101)
  {
    for(j in (i+1):102)
    {
      difx2=(eutad$gx[i]-eutad$gx[j])^2
      dify2=(eutad$gy[i]-eutad$gy[j])^2
      dist[i,j]<-sqrt(difx2 + dify2)
      dist[j,i]<-sqrt(difx2 + dify2)
    }
    
  }

##para criar uma matriz de distncia precisa de 2 "for"
###^2 - para a diferena ser positiva


nn<-apply(dist, 1, min, na.rm=TRUE);nn
mnn<-mean(nn);mnn


######Simulando#####
resultado <- rep(NA, 1000)  

resultado[1] <- mean(nn)

for(k in 2:1000){
  xsim<-round(runif(102, 0, 320), 1)
  ysim<-round(runif(102,0,320),1)
  rxy<-data.frame(xsim, ysim)
  rdistmat<-as.matrix(dist(rxy, diag=F, upper=T))
  diag(rdistmat)<-NA    
  rnnd<-apply(rdistmat, 1, min, na.rm=T)
  resultado[k]<-mean(rnnd)
}

resultado
hist(resultado)
abline(v=resultado[1], lty=2, col="red")

resultado1<-resultado-mean(resultado)
hist(resultado1)
abline(v=resultado1[1], lty=2, col="red")

nmaior <- sum(abs(resultado1)>=abs(resultado1[1]))
pvalor <- nmaior/length(resultado1)
#probabilidade da distribuio espacial aleatria gerar valores iguais ou mais extremos do que o valor observado  de 5,6% (p =0.056)

#######################################
#Exerccio 2 - Simulando o teste de uma regresso linear

#O principal teste estatstico de uma regresso linear  que a inclinao do modelo da reta  diferente de zero! 
#Isso significa que a varivel preditora  independente da varivel reposta.
#Ou seja no h relao aparente entre elas

dir()
massa.vert <- read.table("animais.txt", header=T, sep=";", as.is=T, dec = ",");massa.vert

str(massa.vert)

massa.vert<-na.omit(massa.vert);massa.vert

plot(brain~body, data=massa.vert, log="xy") 

lm.massa <- lm(log(brain) ~ log(body),data = massa.vert)
summary(lm.massa)
abline(lm.massa)                                                        

coef.massa<-coef(lm.massa);coef.massa

result<-rep(NA, 1000)
result[1]<-coef(lm(log(brain) ~ log(body),data = massa.vert))[[2]]


for(i in 2:1000){
  sim_brain<-sample(cerebro)
  result[i]<-coef(lm(log(brain) ~ sample(log(body)), data = massa.vert))[[2]]
}

result
hist(result)
abline(v=result[1], lty=2, col="red")
pvalor<-sum(abs(result)>=abs(result[1]))/length(result);pvalor

#A probabilidade da inclinao observada ter sido gerada por variveis que so independentes  de 0.001