# Exerccios 8
  # Reamostragem e Simulao
  # Por Beatriz F. Fernandes
  
#Exerccio 1
#Os palmitos esto distribudos aleatoriamente na floresta? Durante a aula terica mostramos como podemos usar uma distribuio terica para gerar dados que simulem o cenrio previsto por nossa hiptese nula. No caso da posio dos palmitos adultos em uma parcela de 10,24 ha de floresta (320320 m), nossa hiptese nula  que eles se distribuem aleatoriamente no espao. Iniciamos a construo do cdigo para testar essa hiptese, o exerccio  terminar de testar a hiptese. Abaixo reproduzimos o cdigo apresentado em aula para que possa continuar a partir dele.

   #1.1: Baixe o arquivo palmadulto.txt e leia os dados no R em um objeto chamado eutad, no esquea de conferir se o objeto de dados foi lido corretamente.
   eutad <- read.table(file="palmadulto.txt", header= T, sep= "\t", dec= ".", as.is=T)
   head(eutad)
   str(eutad)
    
   #1.2: Crie o objeto para guardar as distncias entre cada indivduo:
   dist=matrix(NA, ncol=102, nrow=102)
   
   #1.3: Calcule a distncia observada entre cada indivduo e guarde o resultados em dist:
   for(i in 1:101)
    {
        for(j in (i+1):102)
            {
                difx2=(eutad$gx[i]-eutad$gx[j])^2
                dify2=(eutad$gy[i]-eutad$gy[j])^2
                dist[i,j]<-sqrt(difx2 + dify2)
                dist[j,i]<-sqrt(difx2 + dify2)
            }
          
    }
    
   #1.4: Verifique o objeto dist e calcule o parmetro chamado de distncia mdia do vizinho mais prximo (MNN):
   dist[1:5,1:5]
   (nn<-apply(dist, 1, min, na.rm=TRUE))
   (mnn<-mean(nn))
   
   #1.5: Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao.
   resultado <- rep(NA,1000)
   
   #1.6: Guarde o valor observado na primeira posio de resultado
   resultado[1] <- mnn
   
   #1.7: Crie um ciclo com contador (k) que vai de 2 a 1000
   for(k in 2:1000)

   #1.8 Dentro do ciclo:
   {
       #1.8.1: Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuio uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal2). Lembre-se de sortear o mesmo quantidade de valores que a populao de palmito observado
       xsim <- round(runif(102, min = 0, max = 320),1)
        
       #1.8.2: Faa o mesmo que no passo anterior e guarde no objeto ysim
       ysim <- round(runif(102, min = 0, max = 320),1)
       
       #1.8.3: Como no tpico anterior, crie uma matriz para guardar as distncias entre cada valor xy simulados. Crie os ciclos para o calculo das distncias como no tpico anterior.
       dist.s=matrix(NA, ncol=102, nrow=102)
       for(i in 1:101)
       {
        for(j in (i+1):102)
            {
                difx2=(xsim[i]-xsim[j])^2
                dify2=(ysim[i]-ysim[j])^2
                dist.s[i,j]<-sqrt(difx2 + dify2)
                dist.s[j,i]<-sqrt(difx2 + dify2)
            }
          
        }
       
       #1.8.4: Guarde o valor da distncia mdia do vizinho mais prximo dos dados simulados na posio k do vetor resultado.
       (nn.s<-apply(dist.s, 1, min, na.rm=TRUE))
       (resultado[k] <-mean(nn.s))

       #1.8.5: Feche o ciclo
   }
   
   #1.9: Faa um histograma dos valores simulados e coloque uma linha vermelha vertical na posio do valor observado
   hist(resultado,
        main="",
        xlab="Mdia de distncia do palmito vizinho simulada (m)",
        ylab="Frequncia",
        las=1,
        family="serif",
        col=rgb(0,0,1,0.2))
   abline(v = resultado[1], col="red", lwd=2)
   
   #1.10:Calcule a probabilidade de uma distribuio espacial aleatria gerar valores iguais ou mais extremos do que o valor MNN observado.
   resultado.0 <- resultado - mean(resultado)
   p <- sum(resultado.0<=resultado.0[1] | resultado.0>=resultado.0[1]*-1)/length(resultado)
   
#Exerccio 2: Simulando o teste de uma regresso linear
#O principal teste estatstico de uma regresso linear  que a inclinao do modelo da reta  diferente de zero! Isso significa que a varivel preditora  independente da varivel reposta. Ou seja no h relao aparente entre elas. Utilizando os dados de massa corprea e do crebro de alguns vertebrados Conjunto de Dados: Massa do Corpo e do Crebro de Vertebrados:
animais <- read.table(file="animais.csv", header=T, sep=";", dec=",", as.is=T)
animais <- na.omit(animais)

   #2.1: Calcule a inclinao da relao log(brain) ~ log(body)
   real <- coef(lm(log(animais$brain) ~ log(animais$body)))[[2]]
   
   #2.2: Crie um vetor para guardar o resultado de simulaes
   incl <- rep(NA,1000)
   
   #2.3: Guarde o valor observado no objeto criado em 2.2
   incl[1] <- real
   
   #2.4: Abra um ciclo de 2 a 1000
   for(i in 2:1000)
   {
   
   #2.5: Desordene o vetor brain e guarde no objeto sim_brain
   sim_brain <- sample(animais$brain)
   
   #2.6: Calcule a inclinao entre o log(sim_brain) ~ log(body) e guarde no vetor resultado
   incl[i] <- coef(lm(log(sim_brain) ~ log(animais$body)))[[2]]
   
   #2.7: Feche o ciclo
   }
   
   #2.8: Faa o histograma dos valores simulados e compare com o valor observado da inclinao da relao
   hist(incl,
        main="",
        xlab="Inclinao entre o log(sim_brain) ~ log(body)",
        ylab="Frequncia",
        las=1,
        family="serif",
        col=rgb(0,0,1,0.2))
   abline(v = incl[1], col="red", lwd=2)
   
   #2.9: Calcule a probabilidade da inclinao observada ter sido gerada por variveis que so independentes
   pe <- sum(incl>=incl[1])/length(incl) #Estou considerando a probabilidade de gerarmos e inclinao observada ou inclinaes maiores.
   
#Fim