# Exerccios 7
  # Regresses Lineares Simples
  # Por Beatriz F. Fernandes
  
# 7.2 O modelo mais simples possvel
      #Vamos retomar a regresso da massa do crebro em funo da massa corporal de alguns animais, do tutorial ajuste e diagnstico de uma regresso:
      anim.m2 <- lm(log(brain)~log(body),  #Cria o objeto anim.m2 com o modelo linear do log(brain) em funo de log(body)
                 data=Animals,             #Usando como fonte dos dados o objeto Animals
                 subset=!(log(Animals$body)>8&log(Animals$brain)<6)) #Excluindo aqueles em que log(body)  >8 ou log(brain)<6
      
      #Agora ajuste este modelo:
      anim.m0 <- lm(log(brain)~1,         #Cria o objeto anim.m0 com o modelo linear em que log(brain) no depende de log(body).
                 data=Animals,            #Ou seja,  o modelo nulo!
                 subset=!(log(Animals$body)>8&log(Animals$brain)<6))
      
      #E compare os dois:
      anova(anim.m0,anim.m2) #Faz a comparao dos dois modelos, em termos de partio de varincia.
      
      #Perguntas
                #1. Qual a relao do comando 'anova' acima com:
                anova(anim.m2)
                              #Quando utilizamos a funo anova() para apenas um modelo,  feita uma partio de varincia desse modelo. Obtemos o quanto da varincia dos dados tal modelo explica, comparando-o com o modelo nulo. Ou seja, implicitamente,  a mesma coisa de se criar um modelo nulo com y~1 e compara-lo com outro no nulo.
                
                #2. Qual a relao entre os valores obtidos por estes comandos:
                summary(anim.m0)                                                      #Resumo do modelo nulo
                mean(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)])) #Mdia do log(brain) dos animais de interesse
                sd(log(Animals$brain[!(log(Animals$body)>8&log(Animals$brain)<6)]))   #Desvio do log(brain) dos animais de interesse
                #Dica
                #Um comando mais curto para ajustar o modelo deste exerccio, e que ajuda a interpret-lo:
                anim.m0 <- update(anim.m2, .~. -log(body))                            #remove log(body) da frmula do m2 para gerar m0.
                        
                             #O valor do intercepto da reta prevista pelo modelo nulo  equivalente a prpria mdia dos valores do eixo y no modelo nulo, enquanto o erro padro estimado pelo modelo equivale ao desvio desses mesmos valores no modelo nulo.
                        
#Fim
    