graficos.exp<-function(x,y)
{
  if(class(x)!="numeric"|class(y)!="numeric"){stop("variável não é numérica")}
  if(length(x)!=length(y)){stop("vetores de tamanhos diferentes")}
  par(mfrow=c(2,2), mar=c(4,4,2,2))
  plot(y~x, xlab="variavel x", ylab="variavel y")
  boxplot(x,y)
  w<-list(x, y)
  multhist(w, col=c("blue", "red"))
  cor<-cor(x,y, method="pearson")
  qqnorm(y)
  qqline(y, col="red")
  s<-list(summary(x), summary(y), cor)
  names(s) = c("x", "y", "Coeficiente de correlação de Pearson")
  return(s)
}  

x<-abs(rnorm(100, 20, 4))
y<-abs(rnorm(100, 10, 2))

graficos.exp(x,y)


