###########################################################
###########Exercicios 4 - Anlises Exploratrias###########
################Anne Elise - 20/05/19######################
####################CURSO USP##############################
###########################################################

###4.2 Cervejas
#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

##Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
barplot(sort(table(cervejas), decreasing=T))

dotchart(sort(table(cervejas), decreasing=T))

##Qual tem maior razo dado/tinta? 
#####O grfico Dotchart







####4.3 Caixetais
#Neste exerccio, use o objeto caixeta, criado no tutorial Explorao de uma Varivel Categrica.
setwd("C:/Users/annel/Desktop/Doutorado/Disciplinas e Cursos/Curso R - USP")
caixeta <- read.table("caixeta.csv", header=T, sep=",", as.is=T)
str(caixeta)
head(caixeta)
names(caixeta$local)
#Construa um histograma do dap dos fustes dos caixetais.
hist(caixeta$cap[caixeta$fuste])

#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
windows()
hist(caixeta$h [caixeta$local == "chauas"])
hist(caixeta$h [caixeta$local == "jureia"])
hist(caixeta$h [caixeta$local == "retiro"])

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
###Sim, h diferenas entre as estruturas.
####Em chauas a altura varia de 0  500m, mas esto concentrados entre 0 e 200m.
####Em Jureira, a altura aparenta ter uma distribuio normal, com maior concentrao em torno dos 100m
####J em Retiro, os dados variam entre 0 e aproximadamente 150, com os a maioria dos dados de altura concentrados prximos de 50 e prximos de 100.







##4.4 Eucaliptos
#Neste exerccio, use o conjunto de dados Inventrio em Florestas Plantadas de Eucalyptus grandis.
dir()
egrandis <- read.table("egrandis.csv", header=T, sep=";", as.is=T)
str(egrandis)

#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).
windows()
boxplot(egrandis$dap~egrandis$regiao*egrandis$rotacao)

#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
quantile(egrandis$ht)
qqnorm( egrandis$ht )
qqline( egrandis$ht )





#4.5 Mais Caixetais

#Analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local) com a funo plot, mas somente para as rvores de caixeta (Tabebuia cassinoides).

caixeta <- read.table("caixeta.csv", header=T, sep=",", as.is=T)
head(caixeta)

#Somente T. cassinoides
t.cass <- caixeta[caixeta$especie == "Tabebuia cassinoides",]

#DAP
t.cass$dap=(t.cass$cap/pi)


plot(dap ~ h, data=t.cass, subset=local=="chauas", main="Chauas", 
     ylab="DAP (cm)", xlab="Altura (cm)")
plot(dap ~ h, data=t.cass, subset=local=="jureia", main="Jureia", 
     ylab="DAP (cm)", xlab="Altura (cm)")
plot(dap ~ h, data=t.cass, subset=local=="retiro", main="Retiro", 
     ylab="DAP (cm)", xlab="Altura (cm)")


#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth

par(mfrow=c(1,3))

scatter.smooth(t.cass$dap[t.cass$local=="chauas"]~t.cass$h[t.cass$local=="chauas"], xlab="Altura (cm)", ylab="DAP (cm)", main="chauas")

scatter.smooth(t.cass$dap[t.cass$local=="jureia"]~t.cass$h[t.cass$local=="jureia"], xlab="Altura (cm)", ylab="DAP (cm)", main="jureia")

scatter.smooth(t.cass$dap[t.cass$local=="retiro"]~t.cass$h[t.cass$local=="retiro"], xlab="Altura (cm", ylab="DAP (cm)", main="retiro")

#Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores de caixeta (Tabebuia cassinoides).

library(lattice)
xyplot(dap~h|local, data= t.cass)




