#######################
####Exerccio - 9.2####
##Anne Elise Landine###
#######################

#9.2 Exerccio Anlise exploratria simultnea de duas variveis

#Tarefa: Crie uma funo para sada grfica de anlises exploratrias de duas variveis. Essa sada pode ter por exemplo boxplot, histograma, qq norm e y por x. A funo deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). Caso os valores de x e y forem desenhados em um mesmo grfico, defina cores diferentes. As legendas devem ser em portugus e a sada (return) deve apresentar o sumrio das duas variveis e o coeficiente de correlao.


anal.expl <- function(x,y, graphics = TRUE)
{
  if(length(x)!=length(y))
  {
    stop("O objeto x e y apresentam tamanhos diferentes")
  }
  if(graphics)
  {
    x11()
    par(mfrow = c(2,2))	
    boxplot(x,y, main="BoxPlot de x e y", names = c("x", "y"), col = c("lightgreen","lightblue"))
    hist(x, main="Histograma de x") 
    hist(y, main="Histograma de y")
    plot(y~x, pch =  8, main = "y em funo de x")
    lm <- lm(y~x)
    abline(lm)
    iqd <- summary(x)[5] -	summary(x)[2]
    iqd2 <- summary(y)[5] -	summary(y)[2]
    x11()
    par(mfrow = c(2,2))
    hist(x, prob=T, main="Distribuio de densidade de x")
    lines(density(x,width=2*iqd), col = "green")
    qqnorm(x,col="red",main="Grfico Quantil x Quantil",xlab="Quantil Terico",ylab="Quantil da Amostra")
    qqline(x)
    hist(y, prob=T, main="Distribuio de densidade de y" )
    lines(density(y,width=2*iqd2), col = "blue" )
    qqnorm(y,col="red",main="Grfico Quantil x Quantil",xlab="Quantil Terico",ylab="Quantil da Amostra")
    qqline(y)
  }
  numb <- data.frame(x,y) 
  su <-summary(numb)
  coef <- coef(lm)
  return(list(su, coef))
}  
