#EXERCICIOS DE ANALISE EXPLORATORIA DOS DADOS
#4.3 - CAIXETAIS
H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
caix <- read.table("caixeta.csv", header=T, sep=",")
head(caix)  
caix$dap = (pi/4)* (caix$cap/10)
hist( caix$dap )
hist( caix$dap[ caix$local == "chauas" ] )
hist( caix$dap[ caix$local == "jureia" ] )
hist( caix$dap[ caix$local == "retiro" ] )
%RESPOSTAS:
#Sim. H diferenc entre a frequencia tambem na largura das classes.  
#O local Chuauas tem maior frequencia na primeira classe e nao na segunda como Jureia e Retiro.

#4.4 EUCALIPTOS
dir()
egrandis <- read.table("egrandis.csv", header=T, sep=";", as.is=T)
str(egrandis)
windows()
boxplot(egrandis$dap~egrandis$regiao*egrandis$rotacao)
quantile(egrandis$ht)
qqnorm( egrandis$ht )
qqline( egrandis$ht )

4.5 - CAIXETAIS PARTE 2
caixeta <- read.table("caixeta.csv", header=T, sep=",", as.is=T)
head(caixeta)
t.cass <- caixeta[caixeta$especie == "Tabebuia cassinoides",]
t.cass$dap=(t.cass$cap/pi)
plot(dap ~ h, data=t.cass, subset=local=="chauas", main="Chauas", 
     ylab="DAP (cm)", xlab="Altura (cm)")
plot(dap ~ h, data=t.cass, subset=local=="jureia", main="Jureia", 
     ylab="DAP (cm)", xlab="Altura (cm)")
plot(dap ~ h, data=t.cass, subset=local=="retiro", main="Retiro", 
     ylab="DAP (cm)", xlab="Altura (cm)")
par(mfrow=c(1,3))
scatter.smooth(t.cass$dap[t.cass$local=="chauas"]~t.cass$h[t.cass$local=="chauas"], xlab="Altura (cm)", ylab="DAP (cm)", main="chauas")
scatter.smooth(t.cass$dap[t.cass$local=="jureia"]~t.cass$h[t.cass$local=="jureia"], xlab="Altura (cm)", ylab="DAP (cm)", main="jureia")
scatter.smooth(t.cass$dap[t.cass$local=="retiro"]~t.cass$h[t.cass$local=="retiro"], xlab="Altura (cm", ylab="DAP (cm)", main="retiro")
library(lattice)
xyplot(dap~h|local, data= t.cass)
