#4.2-Cervejas
#1
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
cervejas<-as.factor(cervejas)
cervejas
cervejas<-table(cervejas)
cervejas
dotchart(cervejas)
barplot(cervejas, ylim=c(0,16))
#4.2
#2 
#Resposta: dotchart

#4.3-Caixetais
#1
caixetais<-read.table("caixeta.csv", header=T, sep=",")
head(caixetais)
str(caixetais)
dap<-caixetais$cap/pi
dap
hist(dap, ylim=c(0,600))
#2
hist(caixetais$h[caixetais=="chauas"])
hist(caixetais$h[caixetais=="retiro"])
hist(caixetais$h[caixetais=="jureia"])
#3-SIM, hist 1 - unimodal, hist 2-bimodal, hist3- semelhante a uma dist. normal

#4.4-Eucaliptos
#1
egrandis<-read.table("egrandis.csv", header=T, sep=";")
str(egrandis)
head(egrandis)
egrandis
names(egrandis)
boxplot(egrandis$dap~egrandis$regiao)
boxplot(egrandis$dap~egrandis$rotacao)
str(egrandis)
#De maneira geral, as medianas entre as regiões possuem valores similares. A regiao Bofete possui muitos valores 'outliers' e a segunda menor mediana. A região de Botucatu possui arvores com maiores daps, enquanto a região de Itatinga possui as arvores de menores daps. 
#rotacao 1 parece maior que a rotacao 2, porém a rotacao 1 possui mais outliers que a rotação 2.

#2
qqnorm(egrandis$ht)
qqline(egrandis$ht, col="red")
hist(egrandis$ht)
#a distribuição é similar à distribuicao normal mas e truncada, não possui valores igualmente ditribuidos

#4.5
#1

#para inserir o dap e area basal na tabela caixetais#
str(caixetais)
caixetais.dap<-caixetais
caixetais.dap[,8]<-dap
area.basal<-(pi*(caixetais.dap$V8/2))^2
caixetais.dap[,9]<-area.basal
#para dar nomes as colunas#
colnames(caixetais.dap)[9]<-"area.basal"
colnames(caixetais.dap)[8]<-"dap"
str(caixetais.dap)
head(caixetais.dap)

#para selecionar apenas Tabebuia cassinoides
tabebuia<-caixetais.dap[caixetais.dap$especie=="Tabebuia cassinoides",]
head(tabebuia)

soma.areas.basal<-aggregate(tabebuia$area.basal,by=list(tabebuia$arvore,tabebuia$local,tabebuia$h), sum)
head(soma.areas.basal)
str(soma.areas.basal)
colnames(soma.areas.basal)[3]<-"h"
dap.total<-(sqrt(soma.areas.basal$x/(pi)))*2
dap.total
soma.areas.basal[,5]<-dap.total
colnames(soma.areas.basal)[5]<-"dap.total"
head(soma.areas.basal)
plot(soma.areas.basal$dap.total[soma.areas.basal$Group.2=="chauas"],soma.areas.basal$h[soma.areas.basal$Group.2=="chauas"])
plot(soma.areas.basal$dap.total[soma.areas.basal$Group.2=="retiro"],soma.areas.basal$h[soma.areas.basal$Group.2=="retiro"])
plot(soma.areas.basal$dap.total[soma.areas.basal$Group.2=="jureia"],soma.areas.basal$h[soma.areas.basal$Group.2=="jureia"])


#2
chauas<-scatter.smooth(soma.areas.basal$dap.total[soma.areas.basal$Group.2=="chauas"],soma.areas.basal$h[soma.areas.basal$Group.2=="chauas"])
retiro<-scatter.smooth(soma.areas.basal$dap.total[soma.areas.basal$Group.2=="retiro"],soma.areas.basal$h[soma.areas.basal$Group.2=="retiro"])
jureia<-scatter.smooth(soma.areas.basal$dap.total[soma.areas.basal$Group.2=="jureia"],soma.areas.basal$h[soma.areas.basal$Group.2=="jureia"])
#3
library("lattice")
xyplot(dap~h|local, data=tabebuia, xlab="DAP", ylab="Altura")
     







