#Exercicios 8
#1.
eutad<-read.table("palmadulto.txt", header=T, sep="\t")
str(eutad)
head(eutad)
tail(eutad)
dist<-matrix(NA, ncol=102, nrow=102)
#para indexar uma matriz no for() i é coluna
for(i in 1:101){
  for(j in (i+1):102){
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}

(nn<-apply(dist, 1, min, na.rm=T))
(mnn<-mean(nn))

resultado<-rep(NA, 1000)
resultado[1]<-mnn
resultado[1:5]
for(k in 2:1000){
  xsim<-round(runif(102, 0, 320), 1)
  ysim<-round(runif(102,0,320),1)
  rxy<-data.frame(xsim, ysim)
  rdistmat<-as.matrix(dist(rxy, diag=F, upper=T))
  diag(rdistmat)<-NA    
  rnnd<-apply(rdistmat, 1, min, na.rm=T)
  resultado[k]<-mean(rnnd)
}

resultado
hist(resultado)
abline(v=resultado[1], lty=2, col="red")


resultado1<-resultado-mean(resultado)
hist(resultado1)
abline(v=resultado1[1], lty=2, col="red")

nmaior<-sum(abs(resultado1)>=abs(resultado1[1]))
pvalor<-nmaior/length(resultado1)
#pvalor=0.049, indica que a distância calculada não foi gerada pelo acaso, num nível de significância de 95%.

#2.
massa.vert<-read.table("corpocerebro.csv", header=T, sep=";", as.is=T)
str(massa.vert)
massa.vert$body<-as.numeric(massa.vert$body)
massa.vert$brain<-as.numeric(massa.vert$brain)
massa.vert
str(massa.vert)
massa.vert<-na.exclude(massa.vert)
plot(brain~body, data=massa.vert, log="xy") 
lm.massa <- lm(log(brain)~log(body),data=massa.vert)
summary(lm.massa)
abline(lm.massa)                                                        
coef.massa<-coef(lm.massa)
result.sim<-rep(NA, 1000)
result.sim[1]<-coef.massa[2]
result.sim[1:5]
cerebro<-massa.vert$brain
for(i in 2:1000){
  sim_brain<-sample(cerebro)
  result.sim[i]<-coef(lm(log(sim_brain)~log(body), data=massa.vert))[[2]]
}
result.sim
hist(result.sim)
abline(v=result.sim[1], lty=2, col="red")
pvalor<-sum(abs(result.sim)>=abs(result.sim[1]))/length(result.sim)

#Pergunta: Qual a probabilidade da inclinação observada ter sido gerada por variáveis que são independentes?
#Resposta: p=0.002 (p<0.05), as variáveis são dependentes e existe uma correlação positiva significativa entre elas.